%define oname libcroco
%define majorminor 0.6
%define name %oname%majorminor
%define lib_major 3
%define lib_name %mklibname croco %{majorminor} %{lib_major}
%define develname %mklibname -d croco

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		%name
Summary:	CSS2 parser library
Version:	0.6.5
Release:	%mkrel 1
License:	LGPLv2
Group:		System/Libraries
Source0:	http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
URL:		http://savannah.nongnu.org/projects/libcroco
BuildRequires: pkgconfig(glib-2.0) >= 2.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.4.23

%description
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
libcroco is a standalone css2 parsing library.
It provides a low level event driven SAC like api
and a css object model like api.

%package -n %{develname}
Summary:	Libraries and include files for developing with libcroco
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libcroco%majorminor-devel = %{version}-%{release}
Obsoletes:	%{_lib}croco0.6_3-devel < %{version}-%{release}

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with libcroco?

%package utils
Summary:	Example apps based on libcroco for working with CSS files
Group:		Text tools

%description utils
This contains the example apps that come with libcroco. At the moment this is
csslint, a Cascading Style Sheets checker.

%prep
%setup -q -n %oname-%version
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_binaries %buildroot%_bindir/croco-%majorminor-config

rm -f %{buildroot}%_libdir/*.la

%files utils
%doc README
%{_bindir}/csslint-%majorminor

%files -n %{lib_name}
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%{_bindir}/croco-%majorminor-config
%multiarch_bindir/croco-%majorminor-config
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/libcroco/


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 0.6.5-1.mga2
+ Revision: 226787
- drop patch1 (merged upstream)
- new version 0.6.5

* Tue Feb 14 2012 ovitters <ovitters> 0.6.3-2.mga2
+ Revision: 208883
- clean spec

* Sun Nov 27 2011 tv <tv> 0.6.3-1.mga2
+ Revision: 172652
- fix file list
- s/\$RPM_BUILD_ROOT/%%{buildroot}/
- new release

* Thu Sep 15 2011 fwang <fwang> 0.6.2-8.mga2
+ Revision: 143787
- drop .la files

* Fri May 06 2011 ahmad <ahmad> 0.6.2-7.mga1
+ Revision: 95278
- Revert the deleting of .la files

* Thu May 05 2011 ahmad <ahmad> 0.6.2-6.mga1
+ Revision: 95208
- Don't ship .la files

  + blino <blino>
    - remove old ldconfig scriptlets
    - imported package libcroco0.6


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdv2011.0
+ Revision: 602532
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-3mdv2010.1
+ Revision: 520761
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.2-2mdv2010.0
+ Revision: 425526
- rebuild

* Wed Feb 04 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 337387
- new version
- fix format strings
- new major
- update license

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.1-4mdv2009.0
+ Revision: 222527
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.6.1-3mdv2008.1
+ Revision: 150509
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdv2007.0
+ Revision: 108684
- Import libcroco0.6

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.6.1-2mdv2007.1
- Rebuild

* Mon Mar 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdk
- New release 0.6.1
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.0-3mdk
- Rebuild

* Tue Mar 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-2mdk
- multiarch fixes

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- move csslint to a utils package
- drop conflict with older libcrocos
- new major
- New release 0.6.0
- rename from libcroco to libcroco0.6

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- new version

* Thu Apr 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-2mdk
- Add Conflicts to easy upgrade

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0 (with Gtz help)

